# Vulnerability

Represents the details of an image vulnerability
## Properties

| Name | Type | Required | Description |
|------|------|----------|-------------|
| **name** | **str** | Optional | The name of the vulnerability |
| **package** | **str** | Optional | The package that contains the vulnerability |
| **version** | **str** | Optional | The version of the package |
| **fix_version** | **str** | Optional | The version that has a fix for the vulnerability (if known) |
| **severity** | **str** | Optional | The severity of the vulnerability |
| **description** | **str** | Optional | The description of the vulnerability |
| **links** | **List[str]** | Optional | Relevant links for the vulnerability |


## Usage

### Creating from keyword arguments

```python
from finbourne.sdk.services.scheduler.models.Vulnerability import Vulnerability

instance = Vulnerability(
    name="...",  # optional — The name of the vulnerability
    package="...",  # optional — The package that contains the vulnerability
    version="...",  # optional — The version of the package
    fix_version="...",  # optional — The version that has a fix for the vulnerability (if known)
    severity="...",  # optional — The severity of the vulnerability
    description="...",  # optional — The description of the vulnerability
    links=  # optional — Relevant links for the vulnerability
)
```



[Back to top](#) · [Back to API list](../../api_endpoints.md) · [Back to Model list](../../models.md) · [Back to README](../../../../../README.md)

